summaryrefslogtreecommitdiffstats
path: root/source/a
diff options
context:
space:
mode:
Diffstat (limited to 'source/a')
-rwxr-xr-xsource/a/coreutils/coreutils.SlackBuild3
-rwxr-xr-xsource/a/infozip/infozip.SlackBuild6
-rw-r--r--source/a/infozip/unzip-patches/unzip.gnu89.diff11
-rw-r--r--source/a/infozip/zip-patches/zip.gnu89.diff11
-rw-r--r--source/a/less/007521ac3c95bc76.patch73
-rwxr-xr-xsource/a/less/less.SlackBuild5
-rwxr-xr-xsource/a/libcgroup/libcgroup.SlackBuild3
-rwxr-xr-xsource/a/minicom/minicom.SlackBuild4
-rwxr-xr-xsource/a/nvi/nvi.SlackBuild5
-rw-r--r--source/a/nvi/patches/0039-Add-function-prototypes-to-fix-implicit-function-dec.patch87
-rwxr-xr-xsource/a/splitvt/splitvt.SlackBuild6
-rw-r--r--source/a/splitvt/splitvt.configure.gcc14.diff11
-rw-r--r--source/a/splitvt/splitvt.gcc14.diff11
-rw-r--r--source/a/sysvinit-functions/function-src.gcc14.diff9
-rwxr-xr-xsource/a/sysvinit-functions/sysvinit-functions.SlackBuild1
-rw-r--r--source/a/unarj/Makefile2
-rw-r--r--source/a/util-linux/bsdstrings.gcc14.diff12
-rwxr-xr-xsource/a/util-linux/util-linux.SlackBuild5
-rwxr-xr-xsource/a/zoo/zoo.SlackBuild1
-rw-r--r--source/a/zoo/zoo.gcc14.diff11
20 files changed, 195 insertions, 82 deletions
diff --git a/source/a/coreutils/coreutils.SlackBuild b/source/a/coreutils/coreutils.SlackBuild
index 4805aa315..560948fe4 100755
--- a/source/a/coreutils/coreutils.SlackBuild
+++ b/source/a/coreutils/coreutils.SlackBuild
@@ -76,6 +76,9 @@ else
LIBDIRSUFFIX=""
fi
+# GCC 14 "fix":
+SLKCFLAGS="$SLKCFLAGS -Wno-error=implicit-function-declaration"
+
# Don't use icecream:
PATH=$(echo $PATH | sed "s|/usr/libexec/icecc/bin||g" | tr -s : | sed "s/^://g" | sed "s/:$//g")
diff --git a/source/a/infozip/infozip.SlackBuild b/source/a/infozip/infozip.SlackBuild
index 29b89255d..9a63d9ea4 100755
--- a/source/a/infozip/infozip.SlackBuild
+++ b/source/a/infozip/infozip.SlackBuild
@@ -63,6 +63,8 @@ zcat $CWD/zip-patches/zip-3.0-time.patch.gz | patch -p1 --verbose || exit 1
zcat $CWD/zip-patches/man.patch.gz | patch -p1 --verbose || exit 1
zcat $CWD/zip-patches/zip-3.0-format-security.patch.gz | patch -p1 --verbose || exit 1
zcat $CWD/zip-patches/zipnote.patch.gz | patch -p1 --verbose || exit 1
+# GCC 14 fix:
+zcat $CWD/zip-patches/zip.gnu89.diff.gz | patch -p1 --verbose || exit 1
chown -R root:root .
mkdir -p $PKG/usr/doc/zip-$ZIP
@@ -112,6 +114,8 @@ zcat $CWD/unzip-patches/unzip-6.0-timestamp.patch.gz | patch -p1 --verbose || ex
zcat $CWD/unzip-patches/unzip-6.0-cve-2018-1000035-heap-based-overflow.patch.gz | patch -p1 --verbose || exit 1
zcat $CWD/unzip-patches/unzip-6.0-cve-2018-18384.patch.gz | patch -p1 --verbose || exit 1
zcat $CWD/unzip-patches/unzip-6.0-COVSCAN-fix-unterminated-string.patch.gz | patch -p1 --verbose || exit 1
+# GCC 14 fix:
+zcat $CWD/unzip-patches/unzip.gnu89.diff.gz | patch -p1 --verbose || exit 1
chown -R root:root .
mkdir -p $PKG/usr/doc/unzip-$VERSION
@@ -120,7 +124,7 @@ cp -a BUGS COPYING* Contents History.* INSTALL LICENSE README ToDo WHERE \
chmod 644 $PKG/usr/doc/unzip-$VERSION/*
# -DNO_LCHMOD because Linux systems do not have lchmod()
# -DNOMEMCPY is slower, but prevents file corruption
-make -f unix/Makefile generic LOCAL_UNZIP="-DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_LCHMOD" || exit 1
+make -f unix/Makefile generic_gcc LOCAL_UNZIP="-DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_LCHMOD" || exit 1
cat unzip > $PKG/usr/bin/unzip
cat unzipsfx > $PKG/usr/bin/unzipsfx
cat funzip > $PKG/usr/bin/funzip
diff --git a/source/a/infozip/unzip-patches/unzip.gnu89.diff b/source/a/infozip/unzip-patches/unzip.gnu89.diff
new file mode 100644
index 000000000..7bbb05031
--- /dev/null
+++ b/source/a/infozip/unzip-patches/unzip.gnu89.diff
@@ -0,0 +1,11 @@
+--- ./unix/Makefile.orig 2009-01-18 16:41:18.000000000 -0600
++++ ./unix/Makefile 2024-05-11 12:50:37.503835132 -0500
+@@ -545,7 +545,7 @@
+ # make $(MAKEF) unzips CF="${CF} `cat flags`"
+
+ generic_gcc:
+- $(MAKE) $(MAKEF) generic CC=gcc IZ_BZIP2="$(IZ_BZIP2)"
++ $(MAKE) $(MAKEF) generic CC="gcc -std=gnu89" IZ_BZIP2="$(IZ_BZIP2)"
+
+ # extensions to perform SVR4 package-creation after compilation
+ generic_pkg: generic svr4package
diff --git a/source/a/infozip/zip-patches/zip.gnu89.diff b/source/a/infozip/zip-patches/zip.gnu89.diff
new file mode 100644
index 000000000..58e5f0436
--- /dev/null
+++ b/source/a/infozip/zip-patches/zip.gnu89.diff
@@ -0,0 +1,11 @@
+--- ./unix/Makefile.orig 2024-05-11 12:47:26.628830862 -0500
++++ ./unix/Makefile 2024-05-11 12:48:43.705832586 -0500
+@@ -202,7 +202,7 @@
+ eval $(MAKE) $(MAKEF) zips `cat flags`
+
+ generic_gcc:
+- $(MAKE) $(MAKEF) generic CC=gcc CPP="gcc -E"
++ $(MAKE) $(MAKEF) generic CC="gcc -std=gnu89" CPP="gcc -E"
+
+ # AT&T 6300 PLUS (don't know yet how to allocate 64K bytes):
+ att6300nodir:
diff --git a/source/a/less/007521ac3c95bc76.patch b/source/a/less/007521ac3c95bc76.patch
deleted file mode 100644
index 663f222c0..000000000
--- a/source/a/less/007521ac3c95bc76.patch
+++ /dev/null
@@ -1,73 +0,0 @@
-From 007521ac3c95bc76e3d59c6dbfe75d06c8075c33 Mon Sep 17 00:00:00 2001
-From: Mark Nudelman <markn@greenwoodsoftware.com>
-Date: Thu, 11 Apr 2024 17:49:48 -0700
-Subject: [PATCH] Fix bug when viewing a file whose name contains a newline.
-
----
- filename.c | 31 +++++++++++++++++++++++++------
- 1 file changed, 25 insertions(+), 6 deletions(-)
-
-diff --git a/filename.c b/filename.c
-index f90e0e82..a52c6354 100644
---- a/filename.c
-+++ b/filename.c
-@@ -127,11 +127,20 @@ static constant char * metachars(void)
- /*
- * Is this a shell metacharacter?
- */
--static int metachar(char c)
-+static lbool metachar(char c)
- {
- return (strchr(metachars(), c) != NULL);
- }
-
-+/*
-+ * Must use quotes rather than escape char for this metachar?
-+ */
-+static lbool must_quote(char c)
-+{
-+ /* {{ Maybe the set of must_quote chars should be configurable? }} */
-+ return (c == '\n');
-+}
-+
- /*
- * Insert a backslash before each metacharacter in a string.
- */
-@@ -164,6 +173,9 @@ public char * shell_quoten(constant char *s, size_t slen)
- * doesn't support escape chars. Use quotes.
- */
- use_quotes = TRUE;
-+ } else if (must_quote(*p))
-+ {
-+ len += 3; /* open quote + char + close quote */
- } else
- {
- /*
-@@ -194,15 +206,22 @@ public char * shell_quoten(constant char *s, size_t slen)
- constant char *es = s + slen;
- while (s < es)
- {
-- if (metachar(*s))
-+ if (!metachar(*s))
- {
-- /*
-- * Add the escape char.
-- */
-+ *np++ = *s++;
-+ } else if (must_quote(*s))
-+ {
-+ /* Surround the char with quotes. */
-+ *np++ = openquote;
-+ *np++ = *s++;
-+ *np++ = closequote;
-+ } else
-+ {
-+ /* Insert an escape char before the char. */
- strcpy(np, esc);
- np += esclen;
-+ *np++ = *s++;
- }
-- *np++ = *s++;
- }
- *np = '\0';
- }
diff --git a/source/a/less/less.SlackBuild b/source/a/less/less.SlackBuild
index b4ea88c72..1ea2e2077 100755
--- a/source/a/less/less.SlackBuild
+++ b/source/a/less/less.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=less
VERSION=${VERSION:-$(echo less-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -85,9 +85,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# newline in filenames patch for CVE-2024-32487:
-cat $CWD/007521ac3c95bc76.patch | patch -p1 --verbose || exit 1
-
if [ ! -r configure ]; then
if [ -x ./autogen.sh ]; then
NOCONFIGURE=1 ./autogen.sh
diff --git a/source/a/libcgroup/libcgroup.SlackBuild b/source/a/libcgroup/libcgroup.SlackBuild
index e093f2807..edaae94dc 100755
--- a/source/a/libcgroup/libcgroup.SlackBuild
+++ b/source/a/libcgroup/libcgroup.SlackBuild
@@ -63,6 +63,9 @@ else
LIBDIRSUFFIX=""
fi
+# GCC 14 "fix":
+SLKCFLAGS="$SLKCFLAGS -Wno-error=int-conversion"
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
diff --git a/source/a/minicom/minicom.SlackBuild b/source/a/minicom/minicom.SlackBuild
index 454e2b28a..7fd52476c 100755
--- a/source/a/minicom/minicom.SlackBuild
+++ b/source/a/minicom/minicom.SlackBuild
@@ -59,6 +59,9 @@ else
SLKCFLAGS="-O2"
fi
+# GCC 14 "fix":
+SLKCFLAGS="$SLKCFLAGS -Wno-error=implicit-int -Wno-error=implicit-function-declaration"
+
rm -rf $PKG
mkdir -p $TMP $PKG
@@ -123,6 +126,7 @@ zcat $CWD/lrzsz_0.12.21-5.diff.gz | patch -p1 --verbose || exit 1
rm -f debian/patches/{206499_ymodemg.diff.unchecked,206648_dszlog.diff.unchecked}
for i in debian/patches/* ; do patch -p1 < $i || exit 1 ; done
+CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--mandir=/usr/man \
diff --git a/source/a/nvi/nvi.SlackBuild b/source/a/nvi/nvi.SlackBuild
index ea7859e52..58b5d0a6b 100755
--- a/source/a/nvi/nvi.SlackBuild
+++ b/source/a/nvi/nvi.SlackBuild
@@ -68,6 +68,9 @@ else
LIBDIRSUFFIX=""
fi
+# GCC 14 "fix":
+SLKCFLAGS="$SLKCFLAGS -Wno-error=incompatible-pointer-types"
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -92,7 +95,7 @@ done
# Configure, build, and install:
cd build.unix
- CFLAGS="$SLKCFLAGS" \
+ OPTFLAG="$SLKCFLAGS" \
../dist/configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
diff --git a/source/a/nvi/patches/0039-Add-function-prototypes-to-fix-implicit-function-dec.patch b/source/a/nvi/patches/0039-Add-function-prototypes-to-fix-implicit-function-dec.patch
new file mode 100644
index 000000000..6e2f8226e
--- /dev/null
+++ b/source/a/nvi/patches/0039-Add-function-prototypes-to-fix-implicit-function-dec.patch
@@ -0,0 +1,87 @@
+From: Michael Hudson-Doyle <michael.hudson@ubuntu.com>
+Date: Thu, 11 Apr 2024 11:18:39 +0200
+Subject: Add function prototypes to fix implicit function declaration errors
+
+Reviewed-By: Tobias Heider <me@tobhe.de>
+Bug-Debian: https://bugs.debian.org/1066285
+---
+ cl/cl.h | 5 +++++
+ cl/cl_funcs.c | 6 ++++++
+ common/conv.h | 3 +++
+ common/multibyte.h | 6 ++++++
+ dist/configure | 1 +
+ 5 files changed, 21 insertions(+)
+
+diff --git a/cl/cl.h b/cl/cl.h
+index 3d71410..4ff232d 100644
+--- a/cl/cl.h
++++ b/cl/cl.h
+@@ -26,6 +26,11 @@
+ #endif
+ #endif
+
++/*
++ * for setupterm()
++ */
++#include <term.h>
++
+ typedef struct _cl_private {
+ char ibuf[256]; /* Input keys. */
+
+diff --git a/cl/cl_funcs.c b/cl/cl_funcs.c
+index c5fc597..b6174ef 100644
+--- a/cl/cl_funcs.c
++++ b/cl/cl_funcs.c
+@@ -31,6 +31,12 @@ static const char sccsid[] = "$Id: cl_funcs.c,v 10.72 2002/03/02 23:18:33 skimo
+ #include "../vi/vi.h"
+ #include "cl.h"
+
++/*
++ * This is declared by ncurses.h, but only if _XOPEN_SOURCE is set and lots of
++ * other things break if we define that.
++ */
++extern int waddnwstr (WINDOW *,const wchar_t *,int);
++
+ static void cl_rdiv __P((SCR *));
+
+ static int
+diff --git a/common/conv.h b/common/conv.h
+index 76b06c1..a7675c4 100644
+--- a/common/conv.h
++++ b/common/conv.h
+@@ -21,3 +21,6 @@ struct _conv {
+ char2wchar_t input2int;
+ wchar2char_t int2disp;
+ };
++
++extern int conv_enc (SCR *sp, int option, char *enc);
++extern void conv_init (SCR *orig, SCR *sp);
+diff --git a/common/multibyte.h b/common/multibyte.h
+index 820f4ec..2484521 100644
+--- a/common/multibyte.h
++++ b/common/multibyte.h
+@@ -5,6 +5,12 @@
+ #include <wchar.h>
+ #include <wctype.h>
+
++/*
++ * This is declared by wchar.h, but only if _XOPEN_SOURCE is set and lots of
++ * other things break if we define that.
++ */
++extern int wcwidth (wchar_t c);
++
+ typedef wchar_t RCHAR_T;
+ #define RCHAR_T_MAX ((1 << 24)-1)
+ typedef wchar_t CHAR_T;
+diff --git a/dist/configure b/dist/configure
+index b23e167..d7fb54f 100755
+--- a/dist/configure
++++ b/dist/configure
+@@ -27385,6 +27385,7 @@ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h. */
+ #include <$CURSHEADER>
++#include <term.h>
+ int
+ main ()
+ {
diff --git a/source/a/splitvt/splitvt.SlackBuild b/source/a/splitvt/splitvt.SlackBuild
index 4b37790be..a02c5898e 100755
--- a/source/a/splitvt/splitvt.SlackBuild
+++ b/source/a/splitvt/splitvt.SlackBuild
@@ -55,7 +55,13 @@ rm -rf splitvt-1.6.6
tar xzvf $CWD/splitvt-1.6.6.tar.gz
cd splitvt-1.6.6
chown -R root:root .
+
+cat $CWD/splitvt.configure.gcc14.diff | patch -p1 --verbose || exit 1
+
./configure
+
+sed -i "s|DNEED_SELECT_H|DNEED_SELECT_H -Wno-error=implicit-function-declaration -Wno-error=implicit-int -Wno-error=return-mismatch|g" Makefile
+
make || exit 1
mkdir -p $PKG/usr/bin
cat splitvt > $PKG/usr/bin/splitvt
diff --git a/source/a/splitvt/splitvt.configure.gcc14.diff b/source/a/splitvt/splitvt.configure.gcc14.diff
new file mode 100644
index 000000000..e3652140b
--- /dev/null
+++ b/source/a/splitvt/splitvt.configure.gcc14.diff
@@ -0,0 +1,11 @@
+--- ./configure.orig 2007-04-01 10:22:48.000000000 -0500
++++ ./configure 2024-05-11 18:35:55.108298585 -0500
+@@ -4,7 +4,7 @@
+ QUIET="-v"
+ # use $CC if set, else set it to cc
+ : ${CC:=cc}
+-CFLAGS=
++CFLAGS="-Wno-error=implicit-function-declaration -Wno-error=implicit-int"
+ MAKE="echo \"Done. Type 'make' to build\""
+
+ echo "Making configuration..."
diff --git a/source/a/splitvt/splitvt.gcc14.diff b/source/a/splitvt/splitvt.gcc14.diff
new file mode 100644
index 000000000..2df39264f
--- /dev/null
+++ b/source/a/splitvt/splitvt.gcc14.diff
@@ -0,0 +1,11 @@
+--- ./configure.orig 2007-04-01 10:22:48.000000000 -0500
++++ ./configure 2024-05-11 18:30:49.454291747 -0500
+@@ -4,7 +4,7 @@
+ QUIET="-v"
+ # use $CC if set, else set it to cc
+ : ${CC:=cc}
+-CFLAGS=
++CFLAGS="-Wno-error=implicit-function-declaration -Wno-error=implicit-int"
+ MAKE="echo \"Done. Type 'make' to build\""
+
+ echo "Making configuration..."
diff --git a/source/a/sysvinit-functions/function-src.gcc14.diff b/source/a/sysvinit-functions/function-src.gcc14.diff
new file mode 100644
index 000000000..0f46f2805
--- /dev/null
+++ b/source/a/sysvinit-functions/function-src.gcc14.diff
@@ -0,0 +1,9 @@
+--- ./Makefile.orig 2007-04-29 13:15:50.000000000 -0500
++++ ./Makefile 2024-05-10 18:22:44.593348134 -0500
+@@ -1,5 +1,5 @@
+
+-CFLAGS=-O2 -Wall -D_GNU_SOURCE
++CFLAGS=-O2 -Wall -D_GNU_SOURCE -Wno-error=incompatible-pointer-types
+
+ PROGS=usleep initlog fstab-decode consoletype
+ PPPWATCH_OBJS=ppp-watch.o shvar.o
diff --git a/source/a/sysvinit-functions/sysvinit-functions.SlackBuild b/source/a/sysvinit-functions/sysvinit-functions.SlackBuild
index cfd18bc5e..ab7526cd9 100755
--- a/source/a/sysvinit-functions/sysvinit-functions.SlackBuild
+++ b/source/a/sysvinit-functions/sysvinit-functions.SlackBuild
@@ -66,6 +66,7 @@ rm -rf function-src-$VERSION
# A small patch was applied to initlog to shut it the %^@& up.
tar xjf $CWD/function-src-$VERSION.tar.bz2 || exit 1
cd function-src-$VERSION
+cat $CWD/function-src.gcc14.diff | patch -p1 --verbose || exit 1
make || exit 1
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
mkdir -p $PKG/bin $PKG/sbin $PKG/usr/man/man{1,8}
diff --git a/source/a/unarj/Makefile b/source/a/unarj/Makefile
index 95483e751..2445bb4ba 100644
--- a/source/a/unarj/Makefile
+++ b/source/a/unarj/Makefile
@@ -4,7 +4,7 @@
#
CC = gcc
-CFLAGS = -O2 -DUNIX
+CFLAGS = -O2 -DUNIX -Wno-error=implicit-function-declaration
INSTALLDIR=/usr/bin
unarj: unarj.o decode.o environ.o
diff --git a/source/a/util-linux/bsdstrings.gcc14.diff b/source/a/util-linux/bsdstrings.gcc14.diff
new file mode 100644
index 000000000..32cffe03f
--- /dev/null
+++ b/source/a/util-linux/bsdstrings.gcc14.diff
@@ -0,0 +1,12 @@
+--- ./Makefile.orig 2000-05-09 16:18:53.000000000 -0500
++++ ./Makefile 2024-05-12 12:42:00.509961363 -0500
+@@ -1,7 +1,8 @@
+ CC = gcc
++CFLAGS = -O -Wno-error=implicit-function-declaration -Wno-error=implicit-int
+
+ strings: strings.o getopt.o
+- gcc -O -o strings strings.c getopt.c
++ gcc $(CFLAGS) -o strings strings.c getopt.c
+
+ clean:
+ rm -f a.out core *~ *.o strings
diff --git a/source/a/util-linux/util-linux.SlackBuild b/source/a/util-linux/util-linux.SlackBuild
index 767804a2f..130c7d50b 100755
--- a/source/a/util-linux/util-linux.SlackBuild
+++ b/source/a/util-linux/util-linux.SlackBuild
@@ -254,6 +254,7 @@ rm -rf bsdstrings
tar xvf $CWD/bsdstrings.tar.gz || exit 1
cd bsdstrings || exit 1
zcat $CWD/bsdstrings-util-linux_overflow.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/bsdstrings.gcc14.diff.gz | patch -p1 --verbose || exit 1
make || exit 1
strip strings
cat strings > $PKG/usr/bin/strings-BSD
@@ -286,7 +287,8 @@ chown -R root:root .
zcat $CWD/setserial-rc.serial.diff.gz | patch -E -p1 --verbose || exit 1
zcat $CWD/setserial-undef_TIOCGHAYESESP.diff.gz | patch -E -p1 --verbose || exit 1
# The original config.{guess,sub} do not work on x86_64
-cp -p /usr/share/libtool/config/config.{guess,sub} .
+cp -p /usr/share/libtool/build-aux/config.{guess,sub} .
+CFLAGS="$SLKCFLAGS -Wno-error=implicit-int -Wno-error=implicit-function-declaration" \
./configure --prefix=/usr || exit 1
make || exit 1
strip setserial
@@ -370,4 +372,3 @@ zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $TMP/util-linux-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/a/zoo/zoo.SlackBuild b/source/a/zoo/zoo.SlackBuild
index cf3576065..863d084b0 100755
--- a/source/a/zoo/zoo.SlackBuild
+++ b/source/a/zoo/zoo.SlackBuild
@@ -67,6 +67,7 @@ tar xf $CWD/zoo_${VERSION}-${DEBPATCH}.debian.tar.?z
for diff in debian/patches/*patch ; do
cat $diff | patch -p1 --verbose --backup --suffix=.orig || exit 1
done
+zcat $CWD/zoo.gcc14.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
make linux || exit 1
mkdir -p $PKG/usr/bin
diff --git a/source/a/zoo/zoo.gcc14.diff b/source/a/zoo/zoo.gcc14.diff
new file mode 100644
index 000000000..5d507f423
--- /dev/null
+++ b/source/a/zoo/zoo.gcc14.diff
@@ -0,0 +1,11 @@
+--- ./makefile.orig 2024-05-11 01:34:14.429927290 -0500
++++ ./makefile 2024-05-11 01:35:16.723928683 -0500
+@@ -102,7 +102,7 @@
+
+ # Linux
+ linux:
+- $(MAKE) CC="gcc" CFLAGS="-c $(OPTIM) $(LINTFLAGS) -DLINUX -DANSI_HDRS" LDFLAGS="$(LDFLAGS)" $(TARGETS)
++ $(MAKE) CC="gcc" CFLAGS="-c $(OPTIM) $(LINTFLAGS) -DLINUX -DANSI_HDRS -Wno-error=implicit-int" LDFLAGS="$(LDFLAGS)" $(TARGETS)
+
+ # Linux64
+ linux64: